// SpielBox.java                                    MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * SpielBox, ruft verschiedene Spiele auf.
 * @author Monika Meiler
 */
public class SpielBox
{
/**
 * Programm, startet Spielbox.
 */
  public static void main( String[] args)
  {
// Ueberschrift
    System.out.println();
    System.out.println( "Spielbox fuer Spiele");

// Spiel
    char ende = 'n';
    do
    {
// Menue aller Spiele
      System.out.println();
      System.out.println( "Spielauswahl");
      System.out.println( "  Bandit         ...  1");
      System.out.println( "  Boss           ...  2");
      System.out.println( "  Lottofee       ...  3");
      System.out.println( "  Nimm           ...  4");
      System.out.println( "  Wuerfelspiel   ...  5");
      System.out.println( "  Wettwuerfeln   ...  6");
      System.out.println( "  Kim            ...  7");
      System.out.println( "  Raten          ...  8");
      System.out.println( "  Rechentrainer  ...  9");
      System.out.print(   "  TicTacToe      ... 10");

      int eingabe = IOTools.readInteger(": ");

// Festlegen Und Starten des Spiels
      if( eingabe > 0 && eingabe < 11)
      {
        switch( eingabe)
        {
          case  1: new Bandit().starten(); break;
          case  2: new BossPuzzle().starten(); break;
          case  3: new LottoFee().starten(); break;
          case  4: new Nimm().starten(); break;
          case  5: new WuerfelSpiel().starten(); break;
          case  6: new WettWuerfeln().starten(); break;
          case  7: new Kim().starten(); break;
          case  8: new Raten().starten(); break;
          case  9: new RechenTrainer().starten();
          case 10: new TicTacToe().starten();
        }
      }

// Weiter
      ende = IOTools.readChar( "Spielbox schliessen (j/n)? ");
    } while( ende == 'n');

    System.out.println();
    System.out.println( "Auf Wiedersehen!");
  }
}
